/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.dao
 *  ファイル：CubeDAO.java
 *  説明：
 *
 *  作成日: 2004/01/08
 */
package openolap.viewer.dao;

import java.sql.SQLException;

import openolap.viewer.Cube;

/**
 *  クラス：CubeDAO
 *  説明：
 */
public interface CubeDAO {

	public String getFactTableName(String cubeSeq);
	public String getCubeName(String cubeSeq) throws SQLException;
	public Cube getCubeByID(String cubeSeq) throws SQLException;

}
